# Eka Developer Platform APIs ## Docs - [Eka Care MCP Server](https://ekacare-nhpr-fix.mintlify.app/SDKs/EkaCare-MCP.md): Access Curated Medical Knowledge-bases from Claude and OpenAI clients - [Medical records](https://ekacare-nhpr-fix.mintlify.app/SDKs/android/medical-records.md) - [Voice to rx](https://ekacare-nhpr-fix.mintlify.app/SDKs/android/voice-to-rx.md) - [Python SDK: ekacare](https://ekacare-nhpr-fix.mintlify.app/SDKs/backend/ekapython-sdk.md): A python sdk for ekacare backend - [Go SDK](https://ekacare-nhpr-fix.mintlify.app/SDKs/backend/go-sdk.md) - [EkaCare Webhook SDK](https://ekacare-nhpr-fix.mintlify.app/SDKs/backend/webhook-sdk.md): SDK for processing EkaCare webhook events - [Eka scribe](https://ekacare-nhpr-fix.mintlify.app/SDKs/ios/eka-scribe.md) - [Medical records](https://ekacare-nhpr-fix.mintlify.app/SDKs/ios/medical-records.md) - [ABHA Consent Management](https://ekacare-nhpr-fix.mintlify.app/SDKs/web-sdk/abha-sdk/abha-consent.md): Complete implementation guide for the ABHA SDK to be used for ABHA Consent Management Flow. - [ABHA Profile KYC](https://ekacare-nhpr-fix.mintlify.app/SDKs/web-sdk/abha-sdk/abha-kyc.md): Complete implementation guide for the ABHA SDK to be used for ABHA KYC Verification Flow. - [ABHA Registration](https://ekacare-nhpr-fix.mintlify.app/SDKs/web-sdk/abha-sdk/abha-login-create.md): Complete implementation guide for the ABHA SDK to be used for ABHA Login or Create. - [Get Started](https://ekacare-nhpr-fix.mintlify.app/SDKs/web-sdk/abha-sdk/get-started.md): Complete implementation guide for the ABHA[Ayushman Bharat Digital Mission] SDK - [Eka Care TS SDK](https://ekacare-nhpr-fix.mintlify.app/SDKs/web-sdk/getting-started.md): TS sdk for Eka care APIs, has the following modules built in appointments, patients, medicationSearch and health assessment. with full TypeScript support and TS based autocomplete on `payload`, `fns`, return `responses`. - [Self Assessment SDK](https://ekacare-nhpr-fix.mintlify.app/SDKs/web-sdk/self-assessment-sdk.md): Complete implementation guide for the Self Assessment SDK - [ABDM Connect](https://ekacare-nhpr-fix.mintlify.app/abdm-connect.md) - [Connect Login](https://ekacare-nhpr-fix.mintlify.app/api-reference/authorization/client-login.md): Authorization APIs to get access and refresh token - [Delete Account](https://ekacare-nhpr-fix.mintlify.app/api-reference/authorization/delete-account.md): Delete User Privacy Data - [Getting started](https://ekacare-nhpr-fix.mintlify.app/api-reference/authorization/getting-started.md) - [Oidc Refresh](https://ekacare-nhpr-fix.mintlify.app/api-reference/authorization/oidc-user-refresh.md): Connect Client Auth Refresh - [Oidc Verify](https://ekacare-nhpr-fix.mintlify.app/api-reference/authorization/oidc-user-verify.md): Connect Client Auth Verify and Eka Token - [Connect Refresh](https://ekacare-nhpr-fix.mintlify.app/api-reference/authorization/refresh-token.md): Get new Authorization token using the refresh token - [Connect Refresh V2](https://ekacare-nhpr-fix.mintlify.app/api-reference/authorization/refresh-token-v2.md): Get new Authorization token using the refresh token - [Delete a Webhook](https://ekacare-nhpr-fix.mintlify.app/api-reference/connect/webhooks/delete-webhook.md): Deletes an existing webhook based on its ID. This endpoint allows partners to remove a previously registered webhook by specifying its unique identifier in the path parameter. The `id` parameter is required and must match the ID of the webhook to be deleted. Upon successful deletion, the service wil… - [Get Webhooks](https://ekacare-nhpr-fix.mintlify.app/api-reference/connect/webhooks/get-webhooks.md): Retrieves all registered webhooks. This endpoint allows partners to get a list of all webhooks that have been registered. Each webhook in the list includes details such as the unique identifier, event names that trigger the webhook, the endpoint URL, the signing key (if provided), the client ID, the… - [Getting Started](https://ekacare-nhpr-fix.mintlify.app/api-reference/connect/webhooks/getting-started.md) - [Register Webhook](https://ekacare-nhpr-fix.mintlify.app/api-reference/connect/webhooks/register-webhook.md): Registers a new webhook triggered by specific events. Each webhook is linked to a `business_id`, `client_id`, `endpoint`, and `event_names` defining the events that trigger it. The service sends POST requests to the specified URL for these events. The URL must be reachable and preferably secure (HTT… - [Webhook Samples](https://ekacare-nhpr-fix.mintlify.app/api-reference/connect/webhooks/webhook-samples.md) - [Webhook Signature](https://ekacare-nhpr-fix.mintlify.app/api-reference/connect/webhooks/webhook-signature.md) - [Actors](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/Actors/actors.md) - [Before you begin](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/Instructions/before-you-begin.md) - [Book Appointment Slot](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/appointment-api/book-appointment-slot.md): This API is used to book an appointment slot for a patient based on the available slots retrieved from the `get appointment slots` API. - [Cancel Appointment](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/appointment-api/cancel-appointment.md): ### Overview - [No-Show Appointment](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/appointment-api/change-status.md): ### Overview - [Complete Appointment](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/appointment-api/complete-appointment.md): ### Overview - [Get Appointment Details](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/appointment-api/get-appointment-details.md) - [Get Appointment Slots](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/appointment-api/get-appointment-slots.md): This API is the first step in booking appointment slot for a patient at a doctor's clinic - [Get Appointments](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/appointment-api/get-appointments-by-date.md) - [Getting started](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/appointment-api/getting-started.md) - [Parked Appointment](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/appointment-api/parked-appointment.md): ### Overview - [Update Appointment](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/appointment-api/update-appointment.md): ### Overview - [Update Appointment V2](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/appointment-api/update-appointment-v2.md): ### Overview - [Get Clinic and Doctor details](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/doctor-and-clinic-api/get-clinic-and-doctor-details.md): ### Overview The Get Clinic and Doctor Details API provides a comprehensive list of clinics and doctors associated with those clinics for a business. This API is designed to retrieve detailed information about clinics, the doctors working at each clinic, and the overarching business entity. ### Endp… - [Get Clinic details](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/doctor-and-clinic-api/get-clinic-details.md): ### Overview This API endpoint retrieves detailed information about a specific clinic using its unique identifier. ### Endpoint **URL:** `{{HOST}}/dr/v1/business/clinic/{{clinic_id}}` **Method:** GET ### Request Parameters | Parameter | Type | Description | Required | | --- | --- | --- | --- | | cli… - [Get Doctor services](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/doctor-and-clinic-api/get-doc-service.md): This API response returns a list of medical services offered by a specific doctor, including details like service name, duration, booking options, and fees. Each service specifies whether it supports pre-pay or post-pay, along with the delivery mode (e.g., in-clinic or teleconsultation). The data he… - [Get Doctor profile](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/doctor-and-clinic-api/get-doctor-profile.md): ### Overview This API endpoint is used to retrieve detailed information about a specific doctor using their unique identifier. The response includes comprehensive information about the doctor, such as personal details, specializations, and associated clinics. ### Request Parameters - [Getting started](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/doctor-and-clinic-api/getting-started.md) - [Send Notification](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/notify/notify.md): This API allows partners to send notifications to users. The notifications can include a title, body, image URL, link, and a param if provided. The API supports different platform flavors such as Android, iOS, iPad and Web. - [Create a patient profile](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/patient-directory-apis/add-patient.md): Allows businesses to add new patient record by capturing personal, contact, and medical information. - [Archive patient profile](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/patient-directory-apis/delete-patient.md): **Note:** The patient profile is not deleted permanently — it is only archived. Archived profiles can still be retrieved using the `arc=true` query parameter in the retrieve API. - [Getting started](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/patient-directory-apis/getting-started.md) - [List patient profiles](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/patient-directory-apis/patients-list-minified.md): Retrieves a paginated list of patient profiles. - [Retrieve patient profile](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/patient-directory-apis/retrieve-patient-details.md) - [Retrieve patient profiles by mobile number](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/patient-directory-apis/retrieve-patients-by-mobile.md): Retrieves patient profiles using the mobile number in a workspace. The mobile number must be in the format `+`. - [Search patient profiles](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/patient-directory-apis/search-patient.md): **Global Search is exclusive to specific workspaces only. Please reach out to support.** - [Update patient profile details](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/patient-directory-apis/update-patient-details.md): Payload for updating patient profile. - [Trinity Profiles SDK (TypeScript)](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/patient-directory-sdks/patient-directory-ts-sdk.md): Type-safe SDK for managing patient profiles through the Trinity API. - [Add Patient to Directory](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/patient-registration-api/add-patient-to-directory.md): This functionality enables the addition of new patient records to a business' directory. Users can provide necessary details such as personal information, contact details, and medical history to create a new patient profile. - [Get patient details by profile id](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/patient-registration-api/get-patient-details-by-id.md): This API provides functionality to get details of a patient by their Eka profile id, from a business' directory. The patient should have been previously added to the business directory for this API to return the patient's details. - [Getting started](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/patient-registration-api/getting-started.md) - [Search Patient profiles by mobile number](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/patient-registration-api/search-patient-by-mobile.md): This API provides functionality to get all profiles of patient by their mobile number in business' directory. - [Update Patient Details](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/patient-registration-api/update-patient-details-api.md): Thi API provides functionality to update patient details for the registered patients. - [Get Transaction Status](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/payment-api/get-transaction-status.md) - [Create appointment](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/post_webhooks/add-appointment-webhook.md): When an appointment is created, a webhook event is sent to registered webhooks with details about the appointment, including the appointment ID, status, doctor ID, patient ID, and event type. - [Doctor Joined Video Call](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/post_webhooks/appointment-tele-dr-joined-webhook.md): This webhook is triggered when a doctor joins a scheduled video consultation. - [Assessment Taken](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/post_webhooks/assessment-taken-webhook.md): When an assessment linked to the appointment is completed, a webhook event is sent to registered webhooks with details about the appointment, including the appointment ID, status, doctor ID, patient ID, and event type. - [Doctor Events](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/post_webhooks/doctor-webhook.md): When a Doctor event occurs (such as the start of a practice), a webhook event is sent to registered webhooks with details about the schedule, including the doctor ID, partner doctor ID, and event time. The receiver can use the details from the webhook event to update or manage schedules in the syste… - [Google Review Events](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/post_webhooks/google-review-webhook.md): When a Google review request event occurs, a webhook is sent to the registered endpoint containing the Doctor ID, Google review link, and Patient ID. The receiving system can use these details to update or manage Google review information as needed. - [Consent Form Events](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/post_webhooks/mcert-webhook.md): When a consent form or medical certificate is created or updated, a webhook is sent to the registered endpoint containing the Doctor Id, Patient Id, Consent form url, **type(represents whether it is a medical certificate or consent form)** etc. The receiving system can use these details as per their… - [Prescription Created Event](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/post_webhooks/prescription-webhook.md): When a prescription is created or modified, a webhook event is sent to registered webhooks with details about the prescription, including the prescription ID, visit ID, doctor ID, patient ID, and event type. - [Receipt Events](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/post_webhooks/receipt-webhook.md): When a Receipt is created, updated or deleted, a webhook is sent to the registered endpoint containing the Doctor Id, Patient Id, Clinic Id etc. The receiving system can use these details as per their need. - [Status changed](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/post_webhooks/status-change-webhook.md): When status of an appointment changes, a webhook event is sent to registered webhooks with details about the appointment, including the appointment ID, status, doctor ID, patient ID, and event type. - [Update appointment](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/post_webhooks/update-appointment-webhook.md): When an appointment is updated, a webhook event is sent to registered webhooks with details about the appointment, including the appointment ID, status, doctor ID, patient ID, and event type. - [Get Prescription details](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/prescription-api/get-prescription-details.md): This API retrieves comprehensive details of a prescription created by a doctor. It provides a rich set of data encompassing patient history, diagnosis, medications, lab tests, and various other clinical elements. The response includes: - [Get All HIP Users of a Business](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/user-apis/get-all-users.md): This API retrieves the list of all HIP users associated with a business. The response includes each user's details along with their linked doctors and clinics. > _Use this API to fetch all HIP users for a business account in one call._ - [Get HIP User Details by ID](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/user-apis/get-user-by-id.md): This API retrieves detailed information about a specific HIP user registered under a business. The response includes the user's personal details, assigned doctors, and associated clinics. > _Use this API to get complete profile details of a single HIP user by their Eka user ID._ - [Encrypted API Requests and Responses](https://ekacare-nhpr-fix.mintlify.app/api-reference/end-to-end-encryption/guide.md): Guide for implementing end-to-end encryption using JWE for Eka Care APIs - [Delete Document](https://ekacare-nhpr-fix.mintlify.app/api-reference/general-tools/medical/lab-report/delete-document.md): This API is used to delete a document using a document ID. - [Introduction](https://ekacare-nhpr-fix.mintlify.app/api-reference/general-tools/medical/lab-report/introduction.md) - [Parsed Report Result](https://ekacare-nhpr-fix.mintlify.app/api-reference/general-tools/medical/lab-report/parsed-report-result.md): Use this API with the document_id to fetch results. This endpoint returns a JSON response that includes a detailed and structured parsed report. - [Pii webhook](https://ekacare-nhpr-fix.mintlify.app/api-reference/general-tools/medical/lab-report/pii-webhook.md) - [Retrieve Parsed Report](https://ekacare-nhpr-fix.mintlify.app/api-reference/general-tools/medical/lab-report/retrieve-parsed-report.md): Use this api with the identifier which you have recieved in webhook events to fetch results. This endpoint returns a FHIR response. - [Smart report webhook](https://ekacare-nhpr-fix.mintlify.app/api-reference/general-tools/medical/lab-report/smart-report-webhook.md) - [Upload Report](https://ekacare-nhpr-fix.mintlify.app/api-reference/general-tools/medical/lab-report/upload-report.md): Upload the image or PDF file - [Eka Python SDK](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/assessment/SDKs/ekapython-sdk.md): Eka Python SDK for assessment - [Step 3. Continue Assessment](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/assessment/assessment-flow/continue/continue-assessment.md): This API is used to submit user answers and get the next questions based on the answers. Call this API multiple times until the assessment is complete where `is_last_question` will be true - [↗️ Continue Assessment Request Format](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/assessment/assessment-flow/continue/continue-request-formats.md) - [↙️ Continue Assessment Response Format](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/assessment/assessment-flow/continue/continue-response-formats.md) - [Step 2. Start Assessment](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/assessment/assessment-flow/continue/start-assessment.md): This API is used to start and get the first question of the assessment. Use this API to get the first question. - [Step 1. Initialization](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/assessment/assessment-flow/initialization/initialize-assessment.md): This API is used to initialize the assessment. It returns an assessment_id that uniquely identifies the assessment session. This API must be called to initiate a user assessment - [Step 4. Submit Assessment](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/assessment/assessment-flow/submit/submit-assessment.md): This API is used to Submit the assessment. This api should be called after the assessment is completed and progress reaches 100%. Use this API to submit the assessment and get assessment summary - [Assessment Workflows](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/assessment/assessment-workflows.md) - [List all the components](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/assessment/component-info/list-all-components.md): This API is used to list all the components and the details about request and response format of each component. It includes the json schema of the request and response format of each component. - [Error Codes](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/assessment/error-codes.md) - [Fetch Grouped Assessments](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/assessment/fetch-assessment-v2.md): Fetch assessments from both Self-Assessment and Smartcheck modules. - [Fetch assessments (Deprecated)](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/assessment/fetch-assessments-by-id.md): Fetch assessments for patients or doctors based on filters like status, workflow ID and date range. - [Overview](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/assessment/overview.md) - [Get Assessment Data](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/assessment/questionnaire_data.md): This API retrieves the assessment data for a given assessment ID. The assessment data includes all the available information about `practitioner`, `patient` and `questionnaire`. - [Symptoms dump](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/assessment/symptoms-dump.md) - [Eka FHIR Structure](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/ekascribe/Eka-FHIR-structure.md): FHIR resource mappings for Eka Care medical data - [TS sdk](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/ekascribe/SDKs/TS-sdk.md) - [Android sdk](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/ekascribe/SDKs/android-sdk.md) - [Ios sdk](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/ekascribe/SDKs/ios-sdk.md) - [Java sdk](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/ekascribe/SDKs/java-sdk.md) - [Python sdk](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/ekascribe/SDKs/python-sdk.md) - [System Requirements](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/ekascribe/System-Requirements.md) - [Audio Transcription](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/ekascribe/audio-transcription.md): Eka Care's ASR (Automatic Speech Recognition) API for medical speech transcription converts spoken medical language into accurate text. It's designed to understand medical terminology, drug names, procedures, and diseases etc. - [Retrieve Result](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/ekascribe/ekascribe-v1/retrieve-transcribe.md): Retrieve a voice record result using the Session ID (also referred to as Transaction ID). - [Upload voice](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/ekascribe/ekascribe-v1/upload-voice.md): This API accepts audio files as input, transcribes the spoken content into text using advanced speech-to-text processing, and converts the transcribed data into a structured FHIR-compliant JSON format. - [File Upload Process](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/ekascribe/ekascribe-v2/file-upload.md) - [Start Transcription](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/ekascribe/ekascribe-v2/init.md): Start the transcription process for the uploaded audio files. This endpoint is called after uploading any audio files in S3 bucket for transcription and processing. - [Overview](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/ekascribe/ekascribe-v2/overview.md) - [Presigned URL](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/ekascribe/ekascribe-v2/presigned-url.md): This endpoint generates presigned URLs for uploading audio files to S3. It provides the necessary credentials and upload parameters to securely upload files directly to AWS S3. - [Transcription Result](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/ekascribe/ekascribe-v2/result.md): Retrieve the status and results of a transcription session using the session ID. This endpoint provides comprehensive information about the transcription process including: - Current processing status - Structured output data when available - Template-specific results and status - Error and warning… - [IP Whitelisting for Clients](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/ekascribe/ip-whitelisting-for-clients.md): Whitelisting and endpoint information for Eka Scribe APIs & Audio transcription - [Overview](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/ekascribe/overview.md) - [Create Session](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/medassist/create-session.md): Creates a new MedAssist session that provides a session ID and session token for WebSocket communication. - [Get Session](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/medassist/get-session.md): Retrieves the current status and details of an existing MedAssist session. - [MedAssist Agent](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/medassist/overview.md): MedAssist is a medical assistant agentic functionality that helps users communicate with our state of the art medical LLM for medical concerns and healthcare guidance. - [Refresh Session Token](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/medassist/refresh-session.md): Refreshes an expired session token to extend the session lifetime. - [TypeScript SDK](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/medassist/typescript-sdk.md): Complete TypeScript SDK for MedAssist with configurable UI components - [WebSocket API](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/medassist/websocket.md): Real-time communication with MedAssist through WebSocket connection - [SNOMED Linking](https://ekacare-nhpr-fix.mintlify.app/api-reference/knowledge-base/linking/snomed.md): Link SNOMED ID for the given text - [Get Generic (pharmacology) Information](https://ekacare-nhpr-fix.mintlify.app/api-reference/knowledge-base/medications/pharmacology.md) - [Search Medications](https://ekacare-nhpr-fix.mintlify.app/api-reference/knowledge-base/medications/search.md): This endpoint returns suggested/similar drugs from the Eka medical database for the given parameters - drug name, generics, form or volume. Suggestions are ranked based on similarity and also popularity (custom eka metric) of the medicine - [Overview](https://ekacare-nhpr-fix.mintlify.app/api-reference/knowledge-base/overview.md) - [Get all Publishers](https://ekacare-nhpr-fix.mintlify.app/api-reference/knowledge-base/protocols/publishers.md): This endpoint returns a list of all protocols publishers - [Search Protocols](https://ekacare-nhpr-fix.mintlify.app/api-reference/knowledge-base/protocols/search.md): This endpoint returns pages from the protocols based on the query, publishers and tag. - [Search Drugs and Laboratory Tests](https://ekacare-nhpr-fix.mintlify.app/api-reference/medical-db/drugs-and-labs.md): This endpoint returns comprehensive information about pharmaceutical drugs and laboratory tests from the Eka medical database based on search query. - [Search Symptoms and Diagnoses](https://ekacare-nhpr-fix.mintlify.app/api-reference/medical-db/symptoms-and-diagnosis.md): This endpoint returns comprehensive information about medical symptoms and diagnoses from the Eka medical database based on search query. - [Get Blood Banks](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/blood-bank/get-blood-banks.md): User can get blood banks. - [Overview](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/blood-bank/getting-started.md) - [Search Blood Banks](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/blood-bank/state-district.md): User can search blood banks using State & District wise. - [Push care context data to HIU](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/care-contexts/data-on-fetch.md): The HIP holding the user data is responsible for sharing the data with the HIU after validating the consent approved by the user. - [Push FHIR parsing status](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/care-contexts/data-on-push.md): API for HIU to push care context FHIR parsing status - [Discover unlinked care-contexts](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/care-contexts/discover/discover.md): ABDM allows a user to find their health records from any health facility they have visited via the discovery process. - [Care Context Discovery](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/care-contexts/discover/introduction.md) - [Confirm Linking](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/care-contexts/discover/link-confirm.md): Confirm linking for discovered care context - [Initialise Linking](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/care-contexts/discover/link-init.md): Initialise the linking for discovered care context. - [Discover Link On Confirm](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/care-contexts/discover/link_on_confirm.md): This API is used by HIP to confirm the linking of care contexts after OTP verification. - [Discover Link On Init](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/care-contexts/discover/link_on_init.md): This API is used by HIP to initiate the linking of unlinked health records (care contexts). HIP must send an OTP and provide details such as OTP expiry and other related information. - [Discover On Care Contexts](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/care-contexts/discover/on_discover.md): This API is used to send unlinked care contexts to abdm. - [Overview](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/care-contexts/getting-started.md) - [Care context linking](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/care-contexts/link/hip-linking.md): This API is used by HIP to link care contexts. - [Get Linked Providers](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/care-contexts/providers/providers.md) - [Get Linked CareContexts](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/care-contexts/records/records.md) - [Does Abha Address Exist](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/commons/does-health-id-exist.md): This API endpoint allows to check whether provided health id is already present in system. - [Pincode details](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/commons/pincode-details.md): This API endpoint is used to fetch pincode details. - [Suggest Abha Address](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/commons/suggest-abha-address.md): This API endpoint is used to fetch some suggested abha id that are available on the basis of user details. - [Get status](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/consents/auto-approval/get-status.md): Fetch the auto approval policy settings - [Update auto approval policy](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/consents/auto-approval/update-auto-approval-policy.md): Update the auto approval policy settings - [Consent approve](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/consents/consent-approve.md): This endpoint is used to approve the consent - [Consent create](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/consents/consent-create.md) - [Consent deny](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/consents/consent-deny.md): This endpoint is used to deny the consent - [Consent details](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/consents/consent-details.md) - [Consent list](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/consents/consent-list.md) - [Consent revoke](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/consents/consent-revoke.md): This endpoint is used to revoke the consent - [Overview](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/consents/getting-started.md) - [Resend OTP](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/enrollment/aadhaar/aadhaar-resend-otp.md): This endpoint is used to resend a otp for aadhaar registration process. - [Create](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/enrollment/aadhaar/create-abha.md): This API is used to create a new ABHA address - [Generate OTP](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/enrollment/aadhaar/initiate-registration.md): This endpoint is used to initiate the Aadhaar registration process. - [Mobile Resend OTP](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/enrollment/aadhaar/mobile-resend-otp.md): This endpoint is used to resend the mobile otp for aadhaar registration process. - [Mobile Verify OTP](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/enrollment/aadhaar/mobile-verify.md): This API operates on a skip logic basis. If the mobile number provided in the second step differs from the one linked to the Aadhaar, this API will be used to verify the new mobile number. - [Verify OTP](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/enrollment/aadhaar/verify-otp.md): This endpoint is used to verify Aadhaar otp generated for registration using Aadhaar. - [Create](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/enrollment/mobile/create.md): This API is used to create a new ABHA address for the user. - [Generate OTP](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/enrollment/mobile/init.md): This endpoint is used to initiate the registration process for a mobile number. - [Resend OTP](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/enrollment/mobile/resend.md): This endpoint is used to resend a mobile registration request. - [Verify OTP](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/enrollment/mobile/verify.md): This endpoint allows to verify a mobile otp. - [Error Code Mapping](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/errors.md) - [Generate OTP](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/login/init.md): Generates an OTP for login. Supports login via Aadhaar number, mobile number, ABHA number, and ABHA address. - [Login](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/login/login.md): Handles login via Aadhaar number, ABHA number, or mobile number. - [Verify OTP](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/login/verify.md): Verifies the login OTP. If logging in via ABHA address, this endpoint also completes the login process. - [Overview](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/nhpr-abdm/getting-started.md) - [Link HFR](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/nhpr-abdm/hfr/link-facility.md): Link a facility to the ABDM Bridge - [Onboard HFR](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/nhpr-abdm/hfr/onboard-facility.md): Onboard Facility - [Search HFR](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/nhpr-abdm/hfr/search-facility.md): Search Facility - [Check If HPR is Available](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/nhpr-abdm/hpr/check-hpr-available.md): Check HPR ID Availability - [Get HPR Info](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/nhpr-abdm/hpr/check-hpr-exist.md): Check if HPR ID Exists - [Create HPR](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/nhpr-abdm/hpr/create-hpr.md): Create HPR ID - [Get Aadhaar OTP](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/nhpr-abdm/hpr/get-aadhar-otp.md): Get Aadhar OTP - [Get Mobile OTP](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/nhpr-abdm/hpr/get-mobile-otp.md): Generate Mobile OTP - [Suggest IDs](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/nhpr-abdm/hpr/suggest-ids.md): Get Suggested HPR IDs - [Verify Aadhaar OTP](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/nhpr-abdm/hpr/verify-aadhar-otp.md): Verify Aadhar OTP - [Verify Mobile](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/nhpr-abdm/hpr/verify-mobile.md): Verify Aadhaar Linked Mobile - [Verify Mobile OTP](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/nhpr-abdm/hpr/verify-mobile-otp.md): Verify Mobile OTP - [Overview](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/patient-requests/getting-started.md) - [List requests](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/patient-requests/list-requests.md): API to list all the Subscriptions / Authorization and Consent requests - [Requests get details](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/patient-requests/requests-get-details.md) - [Cancel](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/phys-cons/cancel.md): Cancel a physical consultation booking. - [Confirm](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/phys-cons/confirm.md): Confirm a physical consultation booking. - [Get cancel](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/phys-cons/get-cancel.md): Retrieve the cancellation status of a physical consultation booking. - [Get confirm](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/phys-cons/get-confirm.md): Retrieve booking confirmation details, including the OTP that must be presented to the doctor before consultation. - [Get doctors](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/phys-cons/get-doctors.md): Fetches a list of doctors matching the given search criteria. - [Get init](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/phys-cons/get-init.md): Fetch initiation response for a physical consultation, including terms and conditions, payment modes, and pricing details. - [Get order status](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/phys-cons/get-order-status.md) - [Get slots](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/phys-cons/get-slots.md): Fetches the list of a doctor available consultation slots. - [Init](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/phys-cons/init.md): This api is used to Initiate the Booking. - [Order status](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/phys-cons/order-status.md) - [Search doctors](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/phys-cons/search-doctors.md): This api is used to search for doctors. - [Search slots](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/phys-cons/search-slots.md): This API is used to search for available consultation slots for booking. - [Update](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/phys-cons/update.md): Update the details of a physical consultation appointment. - [ABHA card](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/profile/cards/abha-card.md): Fetch the ABHA card.Please cache these results locally. We do not recommend calling this API on every page load. Evict the cache when there is profile update. - [ABHA QR Code](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/profile/cards/qr-code.md): Fetch the data for ABHA qr code display. Please cache these results locally. We do not recommend calling this API on every page load. Evict the cache when there is profile update.There is no fixed structure for this JSON; it can vary depending on the creation of ABHA. Generate… - [Delete Profile](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/profile/details/delete.md): This endpoint removes the specified ABHA profile along with all associated documents, vital records, and any other related data from the system.Please note that the ABHA metadata will remain in the ABDM system, as ABDM does not provide a delete option - [Profile Details](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/profile/details/profile-details.md): Fetches the ABHA profile of the User. Please cache these results locally. We do not recommend calling this API on every page load. Evict the cache when there is profile update. - [Update Profile](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/profile/details/update-profile.md): Name, gender and date of birth cannot be edited for a KYC verified ABHA - [Overview](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/profile/getting-started.md) - [Kyc init](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/profile/kyc/kyc-init.md): Request otp to initialise the KYC flow - [Kyc resend](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/profile/kyc/kyc-resend.md): Resend otp for KYC - [Kyc verify](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/profile/kyc/kyc-verify.md): Verify OTP to complete KYC - [Search ABHA](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/profile/search/search.md): Search KYCed ABHA profiles using mobile number - [Overview](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/providers/getting-started.md) - [Onboard facility](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/providers/onboarding.md): Onboard facility - [Health Facility Onboarding](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/providers/onboarding-overview.md) - [Get Provider Details](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/providers/provider.md): Fetches the Providers based on the HIP ID. - [Search Providers](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/providers/search/providers.md): Fetches the List of Providers. - [Overview](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/registration/intro.md) - [Get Open Orders](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/scan-and-pay/get-open-orders.md): Retrieve open orders by request ID. - [Get Patient Select Details](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/scan-and-pay/get-patient-select.md): Retrieve open orders by request ID. - [Get Transaction Details](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/scan-and-pay/get-transaction-details.md): Retrieve open orders by request ID. - [Overview](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/scan-and-pay/getting-started.md) - [Open Orders](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/scan-and-pay/open-orders.md): Share patient profile to get open orders. - [Patient Select](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/scan-and-pay/patient-select.md): To get payment link for selected Open Order with intent - 'PAYMENT_ORDER' - [Overview](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/scan-and-share/getting-started.md) - [Request to generate token](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/scan-and-share/phr-scan-share.md): Request to generate appointment token at the facility. Get the hip_id and counter_id by reading the QR code of the Hospital/Clinic. Use the device location for the location data - [Get appointment token](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/scan-and-share/phr-scan-share-token.md): Get token number issued by the facility - [On-Share](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/scan-and-share/scan-on-share.md): This API receives the Token Generated by the facility. - [Overview](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/session/getting-started.md) - [Init](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/session/init.md): Generate mobile OTP for user session token - [Verify](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/session/verify.md): Verify mobile OTP and get user session token - [Abha created](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/webhooks/abha-created.md) - [Booking cancel](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/webhooks/booking-cancel.md) - [Booking confirm](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/webhooks/booking-confirm.md) - [Booking init](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/webhooks/booking-init.md) - [Booking status](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/webhooks/booking-status.md) - [Discover care context](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/webhooks/discover-care-context.md) - [Discover link confirm](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/webhooks/discover-link-confirm.md) - [Discover link init](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/webhooks/discover-link-init.md) - [Hip data fetch](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/webhooks/hip-data-fetch.md) - [Hip scan and share](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/webhooks/hip-scan-and-share.md) - [Hiu data push](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/webhooks/hiu-data-push.md) - [Link care context](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/webhooks/link-care-context.md) - [Locker created](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/webhooks/locker-created.md) - [Search doctors](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/webhooks/search-doctors.md) - [Search slots](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/webhooks/search-slots.md) - [Subscription modify](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/webhooks/subscription-modify.md) - [Subscription notify](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/webhooks/subscription-notify.md) - [Add Device](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/notifications/add-device.md): Call to add or register a device for notifications. This endpoint allows clients to register a device by providing its details such as device ID, FCM ID, app version, and other relevant information. The registered device will be used to send notifications. The request body must contain the device pa… - [Delete Device](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/notifications/delete-device.md): To be called when the device is logged out or uninstalled. This endpoint allows clients to remove a registered device by specifying its device ID in the header. Upon successful deletion, the device will no longer receive notifications. The `device-id` parameter in the header is required. - [Add FCM Credentials](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/notifications/fcm-creds.md): Store FCM credentials. This endpoint allows clients to store Firebase Cloud Messaging (FCM) credentials by providing the service account key details. The stored credentials will be used for sending notifications to the registered devices. The request body must contain the FCM payload information. - [Request User Data](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/privacy/right-to-access.md): This endpoint prepares the user data. After a 202 response from this API, the client will receive the user data via a webhook. - [Create Case](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/records/create-case.md): This endpoint creates a new medical case. - [Overview](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/records/create-overview.md) - [Delete Case](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/records/delete-case.md): This endpoint allows deleting a case using the case ID. - [Delete a document](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/records/delete-document.md): This API is used to delete a document using a document ID. - [Overview](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/records/delete_overview.md) - [Describes a document](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/records/describe-record.md): Once you retrieve a list of all documents with their corresponding IDs, you can use this endpoint to get more details about a specific document. - [List Cases](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/records/list-case.md): This endpoint returns a list of all cases. Results are always ordered by ascending value of `updated_at`. - [List Documents](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/records/list-records.md): To get the list of all the records for a given authenticated user. - [Step 1: Upload Record](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/records/obtain-authorization.md): Generate a presigned URL that allows you to securely upload a document to the server. This URL can be used to upload the document directly without needing additional authentication or authorization steps. - [Overview](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/records/read-documents.md) - [Record refresh webhook](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/records/record-refresh-webhook.md) - [Retrieve health records](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/records/retrieve-health-records.md): Retrieve a health record based on the given identifier, hip_id, and health_id in nrces FHIR json format. - [Sends a refresh event to the origin](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/records/send-refresh.md): This endpoint triggers a refresh event for the specified document, prompting the origin to update its state. - [Smart Report](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/records/smart-report.md): When the records get uploaded, a webhook event is sent to register to get the smart report of the record upload. If there are multiple records upload in upload docs API we need to register web hook for all the document id recevied in the reponse. Use the below request payload to register to webhook.… - [Update Case](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/records/update-case.md): This endpoint allows updating details of an existing medical case using the case ID. - [Update Document](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/records/update-document.md): This API is used to update the document. - [Overview](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/records/update_overview.md) - [Step 2: Upload Record](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/records/upload-records.md) - [Vital information table](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/vitals/vital-information-table.md) - [Update Patient Vitals and Link to ABHA](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/vitals/vitals.md): Update the vitals data for a specific patient using the transaction ID. It processes the data and links it to the ABHA (Ayushman Bharat Health Account) if requested. Request body must include valid list of vitals. - [Right to access](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/webhook/right-to-access.md) - [Communication Flow Reference - Appointment & Clinical Events](https://ekacare-nhpr-fix.mintlify.app/communication-flow-appointment-clinical-events.md) - [Appointments Management](https://ekacare-nhpr-fix.mintlify.app/cookbook/whats-possible/appointment-management.md): Building an appointments management app using the Eka Care SDK's appointments module. - [Health Quiz](https://ekacare-nhpr-fix.mintlify.app/cookbook/whats-possible/health-assessment.md): Building a full stack health quiz app with just 4 Function calls, using eka-care's web SDK - [Medication Search](https://ekacare-nhpr-fix.mintlify.app/cookbook/whats-possible/medicine-lookup.md): Building a full stack Building a medication search app using the Eka Care SDK's medication search module. - [Patients Management App](https://ekacare-nhpr-fix.mintlify.app/cookbook/whats-possible/patient-management.md): Building a patients management app using the Eka Care SDK's patients module. - [Datasets](https://ekacare-nhpr-fix.mintlify.app/eka-medai/datasets.md) - [Indian Branded Drugs](https://ekacare-nhpr-fix.mintlify.app/eka-medai/indian_branded_drugs.md) - [Indian Treatment Protocols](https://ekacare-nhpr-fix.mintlify.app/eka-medai/indian_treatment_protocols.md) - [Spotlight](https://ekacare-nhpr-fix.mintlify.app/eka-medai/spotlight.md) - [Discharge summary](https://ekacare-nhpr-fix.mintlify.app/eka-medai/technologies/discharge-summary.md) - [Document Classification](https://ekacare-nhpr-fix.mintlify.app/eka-medai/technologies/document-classification.md) - [Health bot](https://ekacare-nhpr-fix.mintlify.app/eka-medai/technologies/health-bot.md) - [Health Insurance Policy](https://ekacare-nhpr-fix.mintlify.app/eka-medai/technologies/health-insurance.md) - [Lab report](https://ekacare-nhpr-fix.mintlify.app/eka-medai/technologies/lab-report.md) - [Medical Scribe](https://ekacare-nhpr-fix.mintlify.app/eka-medai/technologies/medical-scribe.md) - [Medical snomed coder](https://ekacare-nhpr-fix.mintlify.app/eka-medai/technologies/medical-snomed-coder.md) - [Medical summary](https://ekacare-nhpr-fix.mintlify.app/eka-medai/technologies/medical-summary.md) - [Overview](https://ekacare-nhpr-fix.mintlify.app/eka-medai/technologies/overview.md) - [Personally Identifiable Information (PII) extraction](https://ekacare-nhpr-fix.mintlify.app/eka-medai/technologies/pii-extraction.md) - [Prescription](https://ekacare-nhpr-fix.mintlify.app/eka-medai/technologies/presription.md) - [Risk assessment](https://ekacare-nhpr-fix.mintlify.app/eka-medai/technologies/risk-assessment.md) - [Symptom checker](https://ekacare-nhpr-fix.mintlify.app/eka-medai/technologies/symptom-checker.md) - [Getting Started](https://ekacare-nhpr-fix.mintlify.app/getting-started.md): Steps to begin using the Eka.Care API - [Overview](https://ekacare-nhpr-fix.mintlify.app/introduction.md): Welcome to the documentation of Eka developer platform APIs - [Authentication](https://ekacare-nhpr-fix.mintlify.app/mcp/authentication.md): Securely connect your AI assistant to Eka.care - [Custom MCP Client](https://ekacare-nhpr-fix.mintlify.app/mcp/integrations/custom-client.md): Integrate Eka.care MCP into your own application - [Eka MCP Server](https://ekacare-nhpr-fix.mintlify.app/mcp/introduction.md): Connect your AI assistant to Eka.care's healthcare platform - [Supported Tools](https://ekacare-nhpr-fix.mintlify.app/mcp/supported-tools.md): Complete list of available MCP tools and their capabilities ## OpenAPI Specs - [vitals](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/vitals/vitals.yaml) - [records](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/records/records.yaml) - [privacy](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/privacy/privacy.yaml) - [notification](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/notifications/notification.yml) - [registration](https://ekacare-nhpr-fix.mintlify.app/api-reference/user-app/abdm-connect/registration.yml) - [refrences](https://ekacare-nhpr-fix.mintlify.app/api-reference/medical-db/refrences.yaml) - [references](https://ekacare-nhpr-fix.mintlify.app/api-reference/knowledge-base/references.yaml) - [medassist-apis](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/medassist/medassist-apis.yaml) - [voice](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/ekascribe/voice.yaml) - [ekascribe](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/ekascribe/ekascribe-v2/ekascribe.yaml) - [audio-transcribe](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/ekascribe/audio-transcribe.yaml) - [questionnaire_data](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/assessment/questionnaire_data.yml) - [fetch-assessments-by-id](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/assessment/fetch-assessments-by-id.yml) - [fetch-assessment-v2](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/assessment/fetch-assessment-v2.yml) - [component](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/assessment/component-info/component.yml) - [submit-assessment](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/assessment/assessment-flow/submit/submit-assessment.yml) - [initialize-assessment](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/assessment/assessment-flow/initialization/initialize-assessment.yml) - [continue-assessment](https://ekacare-nhpr-fix.mintlify.app/api-reference/health-ai/assessment/assessment-flow/continue/continue-assessment.yml) - [post_webhook](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/post_webhooks/post_webhook.yaml) - [payment-api](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/payment-api/payment-api.yml) - [patient_directory](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/patient-directory-apis/patient_directory.yml) - [notify](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/notify/notify.yml) - [doc-tool](https://ekacare-nhpr-fix.mintlify.app/api-reference/doc-tool/doc-tool.yaml) - [webhooks](https://ekacare-nhpr-fix.mintlify.app/api-reference/connect/webhooks/webhooks.yml) - [authorization](https://ekacare-nhpr-fix.mintlify.app/api-reference/authorization/authorization.yml) ## Optional - [Developer Discord](https://discord.gg/THgd5S22EK)